模型
获取可用模型
按类型获取可用模型列表。主要用于查询知识库配置所需的 text-embedding 和 rerank 模型。
GET
/
workspaces
/
current
/
models
/
model-types
/
{model_type}
获取可用模型
curl --request GET \
--url https://{api_base_url}/workspaces/current/models/model-types/{model_type} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/workspaces/current/models/model-types/{model_type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/workspaces/current/models/model-types/{model_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"provider": "openai",
"label": {
"en_US": "OpenAI",
"zh_Hans": "OpenAI"
},
"icon_small": {
"en_US": "https://example.com/openai-small.svg"
},
"icon_large": {
"en_US": "https://example.com/openai-large.svg"
},
"status": "active",
"models": [
{
"model": "text-embedding-3-small",
"label": {
"en_US": "text-embedding-3-small",
"zh_Hans": "text-embedding-3-small"
},
"model_type": "text-embedding",
"features": null,
"fetch_from": "predefined-model",
"model_properties": {
"context_size": 8191
},
"status": "active"
}
]
}
]
}Authorizations
API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}。强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized。
Path Parameters
要获取的模型类型。对于知识库配置,使用 text-embedding 获取嵌入模型,使用 rerank 获取重排序模型。
Available options:
text-embedding, rerank, llm, tts, speech2text, moderation Response
200 - application/json
指定类型的可用模型。
模型供应商及其可用模型的列表。
Show child attributes
Show child attributes
Last modified on July 9, 2026
Was this page helpful?
⌘I
获取可用模型
